<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.usoftchina.platform</groupId>
  <artifactId>BI</artifactId>
  <version>2.0.0-SNAPSHOT</version>
  <packaging>pom</packaging>
  <name>BI Maven Webapp</name>
  <description>bi platform parent</description>

  <modules>
    <module>bi-core</module>
    <module>bi-auth</module>
    <module>bi-server</module>
    <module>bi-server-starter</module>
  </modules>

  <parent>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>2.0.4.RELEASE</version>
  </parent>

  <properties>
    <project.release.version>2.0.0-SNAPSHOT</project.release.version>
    <java.version>1.8</java.version>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <spring.boot.version>2.0.4.RELEASE</spring.boot.version>
    <mybatis.spring.boot.version>1.3.1</mybatis.spring.boot.version>
    <fastjson.version>1.2.44</fastjson.version>
    <alibaba.druid.version>1.1.10</alibaba.druid.version>
    <pagehelper.starter.version>1.2.7</pagehelper.starter.version>
    <swagger.version>2.7.0</swagger.version>
    <mysql.version>6.0.6</mysql.version>
    <jwt.version>3.1.0</jwt.version>
  </properties>

  <repositories>
    <repository>
      <id>spring-milestones</id>
      <name>Spring Milestones</name>
      <url>https://repo.spring.io/libs-milestone</url>
    </repository>
    <repository>
      <id>oss</id>
      <name>oss</name>
      <url>https://oss.sonatype.org/content/groups/public</url>
    </repository>
    <repository>
      <id>aliyun</id>
      <name>aliyun</name>
      <url>http://maven.aliyun.com/nexus/content/groups/public/</url>
    </repository>
  </repositories>

  <distributionManagement>
    <repository>
      <id>platform-release</id>
      <name>platform-release</name>
      <url>http://10.10.100.21:8081/artifactory/libs-release-local</url>
    </repository>
    <snapshotRepository>
      <id>platform-snapshots</id>
      <name>platform-snapshots</name>
      <url>http://10.10.100.21:8081/artifactory/libs-snapshot-local</url>
    </snapshotRepository>
  </distributionManagement>

  <build>
    <pluginManagement>
      <plugins>
        <!-- maven compiler plugin -->
        <plugin>
          <groupId>org.apache.maven.plugins</groupId>
          <artifactId>maven-compiler-plugin</artifactId>
          <configuration>
            <source>${java.version}</source>
            <target>${java.version}</target>
          </configuration>
        </plugin>
        <!-- springboot maven plugin -->
        <plugin>
          <groupId>org.springframework.boot</groupId>
          <artifactId>spring-boot-maven-plugin</artifactId>
        </plugin>
      </plugins>
    </pluginManagement>
  </build>

  <dependencyManagement>
    <dependencies>
      <!-- spring boot starter -->
      <dependency>
        <groupId>org.mybatis.spring.boot</groupId>
        <artifactId>mybatis-spring-boot-starter</artifactId>
        <version>${mybatis.spring.boot.version}</version>
      </dependency>
      <!-- druid -->
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>druid</artifactId>
        <version>${alibaba.druid.version}</version>
      </dependency>
      <!-- Mysql -->
      <dependency>
        <groupId>mysql</groupId>
        <artifactId>mysql-connector-java</artifactId>
        <version>${mysql.version}</version>
      </dependency>
      <!-- swagger -->
      <dependency>
        <groupId>io.springfox</groupId>
        <artifactId>springfox-swagger2</artifactId>
        <version>${swagger.version}</version>
      </dependency>
      <dependency>
        <groupId>io.springfox</groupId>
        <artifactId>springfox-swagger-ui</artifactId>
        <version>${swagger.version}</version>
      </dependency>
      <!-- fastjson -->
      <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>fastjson</artifactId>
        <version>${fastjson.version}</version>
      </dependency>
      <!-- pageHelper -->
      <dependency>
        <groupId>com.github.pagehelper</groupId>
        <artifactId>pagehelper-spring-boot-starter</artifactId>
        <version>${pagehelper.starter.version}</version>
      </dependency>
      <dependency>
        <groupId>com.auth0</groupId>
        <artifactId>java-jwt</artifactId>
        <version>${jwt.version}</version>
      </dependency>

      <dependency>
        <groupId>com.usoftchina.platform</groupId>
        <artifactId>bi-core</artifactId>
        <version>${project.release.version}</version>
      </dependency>
      <dependency>
        <groupId>com.usoftchina.platform</groupId>
        <artifactId>bi-auth</artifactId>
        <version>${project.release.version}</version>
      </dependency>
      <dependency>
        <groupId>com.usoftchina.platform</groupId>
        <artifactId>bi-server-starter</artifactId>
        <version>${project.release.version}</version>
      </dependency>
      <dependency>
        <groupId>mysql</groupId>
        <artifactId>mysql-connector-java</artifactId>
        <version>${mysql.version}</version>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <profiles>
    <profile>
      <id>release</id>
      <properties>
        <project.release.version>2.0.0</project.release.version>
      </properties>
    </profile>
  </profiles>

</project>
